import { IAuthData, IAuthDataProvider, IEditableUserData, IRefreshTokenStorageHandler } from './orderTypes';
export declare function purgeTokenCache(): void;
export declare function authorizeWithUserPass(baseUrl: string, tenant: string, basicAuthPass: string, username: string, password: string): Promise<boolean>;
export declare function authorizeWithRefreshToken(baseUrl: string, tenant: string, basicAuthPass: string, refreshToken: string): Promise<{
    success: true;
    removeToken?: undefined;
} | {
    success: false;
    removeToken: boolean;
}>;
export declare function isTokenExpired(token?: string): boolean;
export declare const authDataProvider: IAuthDataProvider;
export declare function createAuthDataProvider(ctx: any, refreshTokenProvider: IRefreshTokenStorageHandler, forceRefresh?: boolean, refreshTokenErrorCallback?: (error: any) => void): () => Promise<{
    token: string;
    UUID: string;
}>;
export declare function setAuthData(tenant: string, newAuthData: IAuthData, refreshTokenStorageHandler: IRefreshTokenStorageHandler): void;
export declare function clearAuthData(tenant: string, refreshTokenStorageHandler: IRefreshTokenStorageHandler): void;
export declare function getLoggedUserData(baseURL: string, token: string): Promise<any>;
export declare function updateUserData(baseURL: string, token: string, userData: IEditableUserData): Promise<boolean>;
export declare function deleteUser(baseURL: string, token: string): Promise<boolean>;
